List Integrations
curl --request GET \
--url https://api-qa.interactly.ai/integrations/v2/use-cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/integrations/v2/use-cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/integrations/v2/use-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": {
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"provider": "microsoft",
"name": "<string>",
"status": "active",
"access": "team",
"config": {
"scope": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenType": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"connectedAt": "2023-11-07T05:31:56Z",
"renewedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"provider": "microsoft",
"authType": "oauth",
"authUserEmail": "<string>",
"authUserName": "<string>"
},
"timezone": "UTC"
},
"integration_use_cases": [
{
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"schedulerNames": [
"<string>"
],
"config": {
"displayName": "<string>",
"assistantId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"timezone": "<string>",
"type": "appointment_reminder_with_sheet",
"name": "New Patients Appointment Reminder",
"sheetLink": "<string>",
"actions": [
{
"logicalId": "<string>",
"templateName": "<string>",
"communicationPreference": "call",
"context": "<string>",
"reportEmails": [
"<string>"
],
"daysWindow": 7,
"status": "active",
"schedule": {
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"field": "oneTime",
"triggerAt": "2023-11-07T05:31:56Z"
}
}
]
}
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations Use Cases V2
List Integrations
GET
/
integrations
/
v2
/
use-cases
List Integrations
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Query Parameters
Show child attributes
Show child attributes
Number of items per page
Required range:
x >= 1Page number
Required range:
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)
Response
Successful Response
Response model for a list of integrations use cases. Contains a list of IntegrationsUseCasesModel objects.
Integration object associated with use cases and team
Show child attributes
Show child attributes
List of integrations use cases
Show child attributes
Show child attributes
Total number of integrations use cases available without pagination.
⌘I